<?php
define('PROTECTOR', 1);
include('files/path.php');
include($path . 'files/db.php');
include($path . 'files/auth.php');
include($path . 'files/func.php');
$textl = 'Стенка на стенку';
include($path . 'files/core.php');
include($path . 'files/head.php');
include($path . 'files/zag.php');

echo'<div class="main"><div class="block_zero center"><span style="color: #9bc;">Брось вызов всем Бессмертным</div><div class="mini-line"></div><div class="block_zero center"><img src="image/logo/stenka.png" width="120" height="60" alt="logo">';

echo'</div><div class="dot-line"></div><div class="block_zero center">';

//Проверяем есть ли уже открытый бой с игроком
$bc = mysql_fetch_assoc(mysql_query("SELECT `game` FROM `boy_users` WHERE `user` = '$udata[id]' AND `end` = '0'"));
if(!empty($bc['game'])){
header("Location: grupboy.php?id=$bc[game]");
}
//
if(isSet($_GET['nousers'])){
$_SESSION['err']="К сожалению никто не принял вызов";
header("Location: boylist.php?");exit();
}

echo'<a href="boylist.php?do=create"><span class="btn"><span class="end"><input class="label" name="cr" type="submit" value="Бросить вызов"></span></span></a>';
echo'</div><div class="dot-line"></div>';

switch($do){
default:
$sql = mysql_query("SELECT * FROM `boy_game` ORDER BY `id` DESC");
if(!mysql_num_rows($sql)){
echo '<div class="block_zero center">Нет доступных боёв</div>';
}
while($a = mysql_fetch_assoc($sql)){
$c = mysql_num_rows(mysql_query("SELECT `id` FROM `boy_users` WHERE `game` = '$a[id]'"));
$u = mysql_fetch_assoc(mysql_query("SELECT `storona`, `usr` FROM `users` WHERE `id` = '$a[user]'"));
echo "<div class='block_zero'>";
if($c==0){
mysql_query("DELETE FROM `boy_users` WHERE `game` = '$a[id]'");
mysql_query("DELETE FROM `boy_list` WHERE `game` = '$a[id]'");
mysql_query("DELETE FROM `boy_game` WHERE `id` = '$a[id]'");
header("Location: boylist.php?");exit;
}
if($a['type'] == 'start'){
$st = '(идет набор)';
}
if($a['type'] == 'game'){
$st = '(идет бой)';
}
if($a['type'] == 'end'){
$st = '(бой окончен)';
}
echo "Вызов бросил:  <img src='image/clan/$u[storona].png' alt='*'> $u[usr] $st<br/>
Состав: $c чел.<br /><a href='grupboy.php?id=$a[id]'>Принять вызов</a></div>";
}
echo'</div><div class="mini-line"></div><div class="main"><ul class="hint"><li>Брось вызов Бессмертным сам, либо вступи в любую схватку</li><li>Победители получают большую награду, чем проигравшие</li></ul></div></div></div>';
echo'</div></div>';
break;

case 'create':
$c = mysql_num_rows(mysql_query("SELECT `id` FROM `boy_users` WHERE `user` = '$udata[id]' AND `end` = '0'"));
if($c > 0){
echo "<div class='block_zero'>Сначала нужно завершить прошлый бой</div>";
}else{
$_POST['time']=1;
$time = abs(intval($_POST['time']));
$t = time()+($time*60);

if($time < 0 || $time > 1){
echo 'Неверное время ожидания<br>'; 
}else{
mysql_query("INSERT INTO `boy_game` SET `user` = '$udata[id]', `time` = '$t'");
$id = mysql_insert_id();
mysql_query("INSERT INTO `boy_users` SET `user` = '$udata[id]', `game` = '$id'");
header("Location: grupboy.php?id=$id");
}

}
break;
}
include($path.'files/down.php');
?>